Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.cs
Class CSForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster
              kieker.tools.tslib.forecast.cs.CSForecaster

All Implemented Interfaces:
  IForecaster<Double>

    public class CSForecaster

extends AbstractRForecaster

This is one of the forecasters used in the research paper on Self-adaptive workload classification and forecasting for proactive resource provisioning (http://dx.doi.org/10.1002/cpe.3224), authored by Herbst et al.

Since:
  1.10
Author:
  Nikolas Herbst Cubic splines are fitted to the univariate time series data to obtain a trend estimate and linear forecast function. Prediction intervals are constructed by use of a likelihood approach for estimation of smoothing parameters. The cubic splines method can be mapped to an ARIMA 022 stochastic process model with a restricted parameter space. Overhead below 100ms for less than 30 values (more values do not sig. improve accuracy)

Constructor Summary
`CSForecaster(ITimeSeries<Double> historyTimeseries)`
`CSForecaster(ITimeSeries<Double> historyTimeseries, int confidenceLevel)`

Method Summary

Methods inherited from class kieker.tools.tslib.forecast.AbstractRForecaster
`forecast, removeNullValues`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSForecaster

    public CSForecaster(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo

### CSForecaster

    public CSForecaster(ITimeSeries<Double> historyTimeseries,
                        int confidenceLevel)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo
  `confidenceLevel` - value of confidence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net